Bug 1873428 - Telemeter Server Memory Leak
Summary: Telemeter Server Memory Leak
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: lserven
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-28 10:07 UTC by lserven
Modified: 2020-09-07 02:23 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift telemeter pull 349 None closed Bug 1873428: Fixed mem-leak and added proper e2e that uses prod code. 2020-09-06 23:09:22 UTC

Description lserven 2020-08-28 10:07:44 UTC
Description of problem:
The Telemeter server has a memory leak that manifests itself whenever OIDC auth with the downstream forward endpoint in enabled.


Version-Release number of selected component (if applicable):
4.6

How reproducible:
100%

Steps to Reproduce:
1. Enable OIDC auth with the forward endpoint.

Actual results:
Telemeter server OOMs.

Expected results:
Telemeter server doesn't OOM.

Comment 3 Junqi Zhao 2020-09-07 02:23:56 UTC
tested with 4.6.0-0.nightly-2020-09-05-015624, the fix is LGTM and there is not regression issue


Note You need to log in before you can comment on or make changes to this bug.